package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 固定源产排治--执行报告--火电燃料分析对象 b_stat_table_zxbg_hd_fuel_analysis
 *
 * @author szhpt
 * @date 2023-08-01*/
@ApiModel(value = "固定源产排治--执行报告--火电燃料分析")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_stat_table_zxbg_hd_fuel_analysis")
public class BStatTableZxbgHdFuelAnalysis extends BStatTableZxbgJbxxInfoFactoryBase
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;


    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    @Excel(name = "执行报告类型")
    private String zxbgType;


    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    @Excel(name = "报告周期")
    private String zxbgPeriod;


    @ApiModelProperty(value = "生产单元")
    /** 生产单元 */
    @Excel(name = "生产单元")
    private String productionUnit;


    @ApiModelProperty(value = "燃料名称")
    /** 燃料名称 */
    @Excel(name = "燃料名称")
    private String fuelName;


    @ApiModelProperty(value = "使用量（万t/a、万m³/a）")
    /** 使用量（万t/a、万m³/a） */
    @Excel(name = "使用量（万t/a、万m³/a）")
    private String usage;


    @ApiModelProperty(value = "灰分（%）")
    /** 灰分（%） */
    @Excel(name = "灰分（%）")
    private String ashContent;


    @ApiModelProperty(value = "硫分（%）")
    /** 硫分（%） */
    @Excel(name = "硫分（%）")
    private String sulfur;


    @ApiModelProperty(value = "挥发分（%）")
    /** 挥发分（%） */
    @Excel(name = "挥发分（%）")
    private String volatileContent;


    @ApiModelProperty(value = "热值（MJ/kg、MJ/m³）")
    /** 热值（MJ/kg、MJ/m³） */
    @Excel(name = "热值（MJ/kg、MJ/m³）")
    private String caloricValue;


    public String getZxbgType() {
        return zxbgType;
    }

    public void setZxbgType(String zxbgType) {
        //0：月报，1：季报，2：年报
        if(StringUtils.isNotBlank(zxbgType)){
            if(zxbgType.equals("0")){this.zxbgType = "月报";}
            if(zxbgType.equals("1")){this.zxbgType = "季报";}
            if(zxbgType.equals("2")){this.zxbgType = "年报";}
        }else {
            this.zxbgType = zxbgType;
        }
    }



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("zxbgType", getZxbgType())
            .append("zxbgPeriod", getZxbgPeriod())
            .append("productionUnit", getProductionUnit())
            .append("fuelName", getFuelName())
            .append("usage", getUsage())
            .append("ashContent", getAshContent())
            .append("sulfur", getSulfur())
            .append("volatileContent", getVolatileContent())
            .append("caloricValue", getCaloricValue())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .toString();
    }
}
